/*
    AVFS: A Virtual File System Library
    Copyright (C) 1998-1999  Miklos Szeredi (mszeredi@inf.bme.hu)

    This file can be distributed either under the GNU LGPL, or under
    the GNU GPL. See the file COPYING.LIB and COPYING. 
*/

#include "vdev.h"

typedef struct _cache_obj {
  int major;
  int minor;

  avtime_t crtime;
  avtime_t lasttime;
  avtime_t keep_time;

  int usectr;
  int state;

  void (*destroy) (void *);
  void *obj;

  struct _cache_obj *next;
  struct _cache_obj **prevp;
} cache_obj;


/* Returns 1 if it matches, 0 if not and -1 if it is invalid */
typedef int  (*cvalid_func) (cache_obj *, void *);

#define COBJ_FREE       1
#define COBJ_RELEASE    2
#define COBJ_LOCK       3
#define COBJ_UNLOCK     4
#define COBJ_DELETE     5

extern cache_obj *__av_cache_find(ave *v, int major, int minor, 
				  cvalid_func valid, void *param);
extern void       __av_cache_op(cache_obj *obj, int op);
extern void       __av_cache_freeall(int major);

