/*  
    AVFS: A Virtual File System Library
    Copyright (C) 1998  Miklos Szeredi (mszeredi@inf.bme.hu)
    
    This file can be distributed either under the GNU LGPL, or under
    the GNU GPL. See the file COPYING.LIB and COPYING. 
*/

#include "vdev.h"

struct zfilt_params {
  avssize_t (*readfunc)  (ave *v, void *devinfo, char *buf, avsize_t nbyte);
  avoff_t   (*lseekfunc) (ave *v, void *devinfo, avoff_t offset, int whence);
};

extern avssize_t __av_zfilt_read(ave *v, void *devinfo, char *buf, 
				 avoff_t offset, avsize_t nbyte);
extern void *    __av_zfilt_open(ave *v, struct zfilt_params *fp,
				 void *devinfo, avqbyte crc32, int do_cache);
extern int       __av_zfilt_close(ave *v, void *devinfo);

