/* Definition of `struct stat' used in the kernel..  */
struct kernel_stat
  {
    unsigned short int st_dev;
    unsigned short int __pad1;
    unsigned long int st_ino;
    unsigned short int st_mode;
    unsigned short int st_nlink;
    unsigned short int st_uid;
    unsigned short int st_gid;
    unsigned short int st_rdev;
    unsigned short int __pad2;
    unsigned long int st_size;
    unsigned long int st_blksize;
    unsigned long int st_blocks;
    unsigned long int st_atime;
    unsigned long int __unused1;
    unsigned long int st_mtime;
    unsigned long int __unused2;
    unsigned long int st_ctime;
    unsigned long int __unused3;
    unsigned long int __unused4;
    unsigned long int __unused5;
  };


static int xstat_conv (struct kernel_stat *kbuf, struct stat *buf)
{
  /* Convert to current kernel version of `struct stat'.  */
  buf->st_dev = kbuf->st_dev;
  buf->__pad1 = 0;
  buf->st_ino = kbuf->st_ino;
  buf->st_mode = kbuf->st_mode;
  buf->st_nlink = kbuf->st_nlink;
  buf->st_uid = kbuf->st_uid;
  buf->st_gid = kbuf->st_gid;
  buf->st_rdev = kbuf->st_rdev;
  buf->__pad2 = 0;
  buf->st_size = kbuf->st_size;
  buf->st_blksize = kbuf->st_blksize;
  buf->st_blocks = kbuf->st_blocks;
  buf->st_atime = kbuf->st_atime;
  buf->__unused1 = 0;
  buf->st_mtime = kbuf->st_mtime;
  buf->__unused2 = 0;
  buf->st_ctime = kbuf->st_ctime;
  buf->__unused3 = 0;
  buf->__unused4 = 0;
  buf->__unused5 = 0;

  return 0;
}

#if 0
static int xstat_conv_back (struct kernel_stat *kbuf, struct stat *buf)
{
  kbuf->st_dev = buf->st_dev;
  kbuf->__pad1 = 0;
  kbuf->st_ino = buf->st_ino;
  kbuf->st_mode = buf->st_mode;
  kbuf->st_nlink = buf->st_nlink;
  kbuf->st_uid = buf->st_uid;
  kbuf->st_gid = buf->st_gid;
  kbuf->st_rdev = buf->st_rdev;
  kbuf->__pad2 = 0;
  kbuf->st_size = buf->st_size;
  kbuf->st_blksize = buf->st_blksize;
  kbuf->st_blocks = buf->st_blocks;
  kbuf->st_atime = buf->st_atime;
  kbuf->__unused1 = 0;
  kbuf->st_mtime = buf->st_mtime;
  kbuf->__unused2 = 0;
  kbuf->st_ctime = buf->st_ctime;
  kbuf->__unused3 = 0;
  kbuf->__unused4 = 0;
  kbuf->__unused5 = 0;

  return 0;
}
#endif
